Bug 221036 - Unable to run system-config-bind
Unable to run system-config-bind
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: system-config-bind (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Brich
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-30 15:46 EST by Peter Meyer
Modified: 2008-03-17 22:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-11 15:09:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Meyer 2006-12-30 15:46:25 EST
Description of problem:
I am unable to run system-config-bind.  The tool gets past the the root password
request, but errors out in a python traceback.

Version-Release number of selected component (if applicable):
system-config-bind-4.0.1-2.fc6

How reproducible:
Everytime.  I've also tried uninstalling and re-installing both the bind and
system-config-bind tools.

Steps to Reproduce:
1. Launch system-config-bind
2. enter root password.
3.
  
Actual results:

> /usr/bin/system-config-bind 
Traceback (most recent call last):
  File "/usr/sbin/system-config-bind", line 191, in ?
    GUI(sys.argv)
  File "/usr/sbin/system-config-bind", line 91, in __init__
    self.bind=BIND(self, argv)
  File "/usr/share/system-config-bind/BIND.py", line 84, in __init__
    self.load()
  File "/usr/share/system-config-bind/BIND.py", line 108, in load
    zone = Zone(filename, origin, self.nmdc, parent + [ real_key ], clas,
cfg['type'])
  File "/usr/share/system-config-bind/Zone.py", line 368, in __init__
    self.load(continuation==None)
  File "/usr/share/system-config-bind/Zone.py", line 165, in load
    self.read()
  File "/usr/share/system-config-bind/Zone.py", line 149, in read
    self.parse()        
  File "/usr/share/system-config-bind/Zone.py", line 99, in parse
    rr=RR.parse(self, continuation, tokens, token_offsets)
  File "/usr/share/system-config-bind/RR.py", line 953, in parse
    return RDATA[token.upper()](zone, name, clas, ttl, tokens, offsets, next_tok+1)
  File "/usr/share/system-config-bind/RR.py", line 346, in __init__
    self.parse()
  File "/usr/share/system-config-bind/RR.py", line 37, in parse
    token = tokens.pop(0)
IndexError: pop from empty list
> 

Expected results:
Window allowing me to configure DNS.

Additional info:

On first invocation, the system-config-bind tools asked if I wanted to install
default files.  I responded yes, and the session hung.  Is my environment
perhaps in a bad state.  How would I reset it?

Many thanks!!

Peter Meyer
Comment 1 Martin Stransky 2006-12-30 18:59:08 EST
You can try to remove /etc/named.conf...
Comment 2 Peter Meyer 2006-12-30 22:19:57 EST
Hi Martin.  Thanks.  I had thought the /etc/named.conf would have been erased
with my repeated attempts to remove and re-install the packages.

I am able to launch the configuation tool, but now seem to be stuck on getting
an example named.conf to save.  

When I keep the named.conf file created by the default, the tools complains that
it can't do the save due to a bad syntax on an allow-query command.  (I can't
find a reference to this in the named.conf.

When I erase the named.conf file and try a fresh save, I get the following
traceback (and no save).

 Traceback (most recent call last):
  File "/usr/share/system-config-bind/ErrorDialog.py", line 95, in on_exit
    self.callback(response,self.parms)
  File "/usr/share/system-config-bind/ZoneTree.py", line 463, in answer
    if s.bind.save() and s.bind.named_is_running():                
  File "/usr/share/system-config-bind/BIND.py", line 284, in save
    s.gui.modalError(s.gui.gui, _('DNS Configuration File Save Error:'),
string.join(s.nmdc.errors,"\n"))
  File "/usr/lib/python2.4/string.py", line 318, in join
    return sep.join(words)
TypeError: sequence item 0: expected string, int found

I'll dump this attempt and see if I can build up a configuration from teh
examples found in /usr/share/doc/bind-9.3.3/sample/var/named

Thanks!!

Peter
Comment 3 Martin Stransky 2007-01-19 07:48:54 EST
Hello,

have you installed a caching-nameserver package?
have you installed a bind-chroot package?

can you please attach your /etc/named.conf?

Thanks.
Comment 4 petrosyan 2008-03-11 15:09:47 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there have not been any
updates to the report since thirty (30) days or more since we
requested additional information, we're assuming the problem
is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested, 
please feel free to reopen the bug report.

Thank you in advance.
Comment 5 Peter Meyer 2008-03-17 22:54:42 EDT
Manually configured BIND and so never experimented further with the graphical tool.

Note You need to log in before you can comment on or make changes to this bug.